# import DetectPathBroadening.sh



GREP_0054()
{
	GREP_0057
	GREP_0046
	GREP_0047
	GREP_0048
	GREP_0049
	GREP_0050
	GREP_0051
	GREP_0052
	GREP_0821
	GREP_0053
	GREP_1112
}



GREP_0046()
{
	if ! command command >/dev/null 2>/dev/null; then
		GREP_0045 "COMMAND_EXEC" "command 'command' is not available on PATH=$PATH. Returned std out and std err: $(command -v command 2>&1)"
		GREP_0041
	fi
	if ! command -v command >/dev/null 2>/dev/null; then
		GREP_0045 "COMMAND_LOCATION" "command 'command -v' is not available on PATH=$PATH. Returned std out and std err: $(command -v command 2>&1)"
		GREP_0041
	fi
}



GREP_0047()
{
	if command -v echo >/dev/null 2>/dev/null; then
		GREP_0009=$(command -v echo)
		GREP_0010=$("$GREP_0009" "SIMPLE TESTER")
		if [ "$GREP_0010" != "SIMPLE TESTER" ]; then
			GREP_0045 "ECHO_RUN" "echo command: $GREP_0009 output is wrong. Expected: 'SIMPLE TESTER'. Returned: '$GREP_0011'"
			GREP_0041
		fi
	else
		GREP_0045 "ECHO_PATH" "Cannot find echo on PATH. PATH=$PATH"
		GREP_0041
	fi
}



GREP_0048()
{
	if command -v printf >/dev/null 2>/dev/null ; then
		PRINTF=$(command -v printf)
		GREP_0011=$("$PRINTF" "TESTER \117\113")
		if [ "$GREP_0011" != "TESTER OK" ]; then
			GREP_0045 "PRINTF_RUN" "printf command: $PRINTF output is wrong. Expected: 'TEST_OK'. Returned: '$GREP_0011'"
			GREP_0041
		fi
	else
		GREP_0045 "PRINTF_PATH" "Cannot find printf on PATH. PATH=$PATH"
		GREP_0041
	fi
}



GREP_0049()
{
	if command -v grep >/dev/null 2>/dev/null ; then
		GREP_0012=$(command -v grep)
		if ! GREP_0391 "$GREP_0012" ; then
			GREP_0045 "GREP_RUN" "Grep does not work as expected: _GREP_TEST_: '$GREP_0357' _GREP_TEST2_: '$GREP_0359' _GREP_TEST3_: '$GREP_0361' _GREP_RET1_: '$GREP_0358' _GREP_RET2_: '$GREP_0360'"
			GREP_0041
		fi
	else
		GREP_0045 "GREP_PATH" "Cannot find grep on PATH. PATH=$PATH"
		GREP_0041
	fi
}



GREP_0050()
{
	GREP_0013=""
	for AWK_CANDIDATE in gawk mawk nawk awk; do
		if command -v "$AWK_CANDIDATE" >/dev/null 2>/dev/null && GREP_0426 "$(command -v $AWK_CANDIDATE)" ; then
			GREP_0013=$(command -v "$AWK_CANDIDATE")
			break
		fi
	done
	if [ -z "$GREP_0013" ] ; then
		GREP_0045 "AWK_PATH" "Cannot find awk on PATH. PATH=$PATH"
		GREP_0041
	fi
}



GREP_0051()
{
	if command -v uname >/dev/null 2>/dev/null && $(command -v uname) >/dev/null 2>/dev/null ; then
		GREP_0014=$(command -v uname)
	else
		GREP_0044 "UNAME_PATH" "Cannot find uname on PATH. PATH=$PATH. OS Detection may not be possible"
		GREP_0014=""
	fi
}


GREP_0052()
{
	if command -v diff >/dev/null 2>/dev/null ; then
		GREP_0015=$(command -v diff)
		if ! "$GREP_0015" "$GREP_0012" "$GREP_0012" >/dev/null 2>/dev/null || "$GREP_0015" "$GREP_0012" "$GREP_0013" >/dev/null 2>/dev/null; then
			GREP_0044 "DIFF_RUN" "diff $GREP_0015 does not work as expected. Detection of commands may not be accurate"
			GREP_0015=""
		fi
	else
		GREP_0044 "DIFF_PATH" "Cannot find diff on PATH. PATH=$PATH. Detection of commands may not be accurate"
	fi
}



GREP_0821()
{
	if command -v cksum >/dev/null 2>/dev/null ; then
		GREP_0820=$(command -v cksum)
		if "$GREP_0009" "12345" | "$GREP_0820" 2>/dev/null | "$GREP_0012" "1545379220" >/dev/null 2>/dev/null; then
			true
		else
			GREP_0045 "CKSUM_RUN" "cksum $GREP_0820 does not work as expected. Please install cksum tool from GNU coreutils"
		fi
	else
		GREP_0045 "CKSUM_PATH" "Cannot find cksum on PATH. PATH=$PATH. Please install cksum tool"
	fi
}



GREP_0053()
{
	"$GREP_0009" "export GREP_0009=\"$GREP_0009\""
	"$GREP_0009" "export PRINTF=\"$PRINTF\""
	"$GREP_0009" "export GREP_0014=\"$GREP_0014\""
	"$GREP_0009" "export GREP_0015=\"$GREP_0015\""
	"$GREP_0009" "export GREP_0820=\"$GREP_0820\""
}
